Package org.apache.any23.writer

## Class NTriplesWriterFactory

- java.lang.Object
- - org.apache.any23.writer.NTriplesWriterFactory

- All Implemented Interfaces:
    `TripleWriterFactory`, `WriterFactory`

      public class NTriplesWriterFactory
      extends Object
      implements TripleWriterFactory

  Author:
    Peter Ansell (p_ansell@yahoo.com), Hans Brende (hansbrende@apache.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `IDENTIFIER` |
    `static String` | `MIME_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NTriplesWriterFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIdentifier()` |
    `Settings` | `getSupportedSettings()` |
    `TripleFormat` | `getTripleFormat()` |
    `TripleHandler` | `getTripleWriter​(OutputStream os, Settings settings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.writer.TripleWriterFactory

      `getMimeType, getRdfFormat, getRdfWriter`

- - ### Field Detail

    - #### MIME_TYPE

          public static final String MIME_TYPE

    - #### IDENTIFIER

          public static final String IDENTIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NTriplesWriterFactory

          public NTriplesWriterFactory()

  - ### Method Detail

    - #### getTripleFormat

          public TripleFormat getTripleFormat()

      Specified by:
        `getTripleFormat` in interface `TripleWriterFactory`
      Returns:
        the format used to write to `OutputStream`s

    - #### getSupportedSettings

          public Settings getSupportedSettings()

      Specified by:
        `getSupportedSettings` in interface `TripleWriterFactory`
      Returns:
        the settings supported by writers produced by this factory

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `WriterFactory`

    - #### getTripleWriter

          public TripleHandler getTripleWriter​(OutputStream os,
                                               Settings settings)

      Specified by:
        `getTripleWriter` in interface `TripleWriterFactory`
      Parameters:
        `os` - the `OutputStream` to write to
        `settings` - the settings with which to configure the writer
      Returns:
        a `TripleHandler` which writes to the specified `OutputStream`